unit DFWSmoothShowSampleFormU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, DFWSmoothShow;

type
  TMainForm = class(TForm)
    DFWSmoothShow1: TDFWSmoothShow;
    procedure FormShow(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure SmoothShow1Finish(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainForm: TMainForm;

implementation

{$R *.DFM}

procedure TMainForm.FormShow(Sender: TObject);
begin
  DFWSmoothShow1.Reverse := False;
  DFWSmoothShow1.Execute;
end;

procedure TMainForm.FormCloseQuery(Sender: TObject; var CanClose: Boolean);
begin
  if not DFWSmoothShow1.Reverse then
  begin
    DFWSmoothShow1.Reverse := True;
    DFWSmoothShow1.Execute;
    CanClose := False;
  end;
end;

procedure TMainForm.SmoothShow1Finish(Sender: TObject);
begin
  if DFWSmoothShow1.Reverse then
    Close;
end;

end.
